#!/bin/sh
TRIO_HOME=/usr/local/src/tRio-0.1.1 ; export TRIO_HOME
JAVA_HOME=/usr/j2se ; export JAVA_HOME

# Setting DEBUG >= 1 will cause windows to appear on the console
DEBUG=0

USAGE="Usage: $0 [-d]"

while getopts d OPTS; do
	case $OPTS in
		d)
			DEBUG=`expr ${DEBUG} + 1`
			;;
		\?)
			echo $USAGE
			exit 2
			;;
	esac
done
shift `expr $OPTIND - 1`

JCLASSPATH=${JAVA_HOME}/lib/tools.jar:${TRIO_HOME}/lib/trio-0.1.1.jar:${TRIO_HOME}/lib/commons-logging.jar:${TRIO_HOME}/lib/commons-beanutils.jar:${TRIO_HOME}/lib/commons-collections.jar:${TRIO_HOME}/lib/commons-digester.jar:${TRIO_HOME}/lib/commons-lang.jar:${TRIO_HOME}/lib/jrcommon.jar:${TRIO_HOME}/lib/jrutil.jar:${TRIO_HOME}/lib/jrclient.jar:${TRIO_HOME}/lib/xmlrpc.jar
if [ "${DEBUG}" -le 0 ]; then
	JCLASSPATH=${TRIO_HOME}/lib/pja-mod.jar:${JCLASSPATH}
fi

JAVA_OPTS=""
if [ "${DEBUG}" -le 0 ]; then
	JAVA_OPTS="${JAVA_OPTS} -Xbootclasspath/a:${TRIO_HOME}/lib/pja-mod.jar"
	JAVA_OPTS="${JAVA_OPTS} -Dawt.toolkit=com.eteks.awt.PJAToolkit"
	JAVA_OPTS="${JAVA_OPTS} -Djava.awt.graphicsenv=com.eteks.java2d.PJAGraphicsEnvironment"
fi

cd $TRIO_HOME

${JAVA_HOME}/bin/java ${JAVA_OPTS} -classpath ${JCLASSPATH} \
	trio.TRioServer -c${TRIO_HOME}/trio.xml

exit 0

# Other potential Java options
-Djava2d.font.usePlatformFont=false
-Djava.awt.fonts=${JAVA_HOME}/jre/lib/fonts
-Duser.home=${JAVA_HOME}/jre
